Package org.spongepowered.asm.util

## Interface PrettyPrinter.IPrettyPrintable

All Known Implementing Classes:
  `LocalVariableDiscriminator.Context`

Enclosing class:
  PrettyPrinter

    public static interface PrettyPrinter.IPrettyPrintable

Interface for object which supports printing to pretty printer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `print​(PrettyPrinter printer)` Append this objec to specified pretty printer

### Method Detail

#### print

    void print​(PrettyPrinter printer)

Append this objec to specified pretty printer

Parameters:
  `printer` - printer to append to